Bug 1270133 - [DOCS] [3.1] [Feature] Document Networking Features
[DOCS] [3.1] [Feature] Document Networking Features
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Ashley Hardin
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 00:21 EDT by Vikram Goyal
Modified: 2016-07-20 10:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-20 10:01:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2015-10-09 00:21:25 EDT
There are several new features being planned for 3.1 from the networking point of view.

The following are confirmed for 3.1 (and more might be coming). The links point to relevant developer Trello cards.

* F5 Router integration [1]
* Generic Router and DNS Integration (Generic external router documentation including coverage on how to do a non-wildcard DNS solution) [2]
* SDN Exposure (Documentation on doing hostNetwork (SDN) routing with the default HAProxy or an external router) - no Trello card for this one.

[1] https://trello.com/c/kQwiguIw/123-f5-route-synchronizer-documentation
[2] https://trello.com/c/b7QkEXeR/146-add-router-documentation-specifically-for-a-non-wildcard-dns-solution

This should ideally go in:

* Install and Config Guide and/or
* The Admin Guide.

I will add as comments if more uses cases are required to be covered.
Comment 5 Ashley Hardin 2016-07-19 13:44:24 EDT
F5 Router integration was addressed here: https://github.com/openshift/openshift-docs/pull/980

Non-DNS wildcard solution was addressed here: https://github.com/openshift/openshift-docs/pull/1016

I think that this can be closed, unless I am missing something.

Note You need to log in before you can comment on or make changes to this bug.